org.apache.maven.scm.provider.cvslib.command.changelog

## Class AbstractCvsChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.cvslib.command.changelog.AbstractCvsChangeLogCommand

- All Implemented Interfaces:
    ChangeLogCommand, Command, CvsCommand
  Direct Known Subclasses:
    CvsExeChangeLogCommand, CvsJavaChangeLogCommand

      public abstract class AbstractCvsChangeLogCommand
      extends AbstractChangeLogCommand
      implements CvsCommand

  Version:
    $Id: AbstractCvsChangeLogCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Emmanuel Venisse , Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsChangeLogCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addDateRangeParameter(org.codehaus.plexus.util.cli.Commandline cl, String dateRange)`
    `protected ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository repo, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)`
    `protected ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion, String datePattern)`
    `protected abstract ChangeLogScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, Date startDate, Date endDate, ScmVersion startVersion, ScmVersion endVersion, String datePattern)`
    `protected String` | `getDateFormat()`

    - ### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### AbstractCvsChangeLogCommand

          public AbstractCvsChangeLogCommand()

  - ### Method Detail

    - #### executeChangeLogCommand

          protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repo,
                                                   ScmFileSet fileSet,
                                                   ScmVersion startVersion,
                                                   ScmVersion endVersion,
                                                   String datePattern)
                                                        throws ScmException

      Overrides:
        `executeChangeLogCommand` in class `AbstractChangeLogCommand`
      Throws:
        `ScmException`

    - #### executeChangeLogCommand

          protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repo,
                                                   ScmFileSet fileSet,
                                                   Date startDate,
                                                   Date endDate,
                                                   ScmBranch branch,
                                                   String datePattern)
                                                        throws ScmException

      Specified by:
        `executeChangeLogCommand` in class `AbstractChangeLogCommand`
      Throws:
        `ScmException`

    - #### executeCvsCommand

          protected abstract ChangeLogScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                             Date startDate,
                                             Date endDate,
                                             ScmVersion startVersion,
                                             ScmVersion endVersion,
                                             String datePattern)
                                                           throws ScmException

      Throws:
        `ScmException`

    - #### getDateFormat

          protected String getDateFormat()

    - #### addDateRangeParameter

          protected void addDateRangeParameter(org.codehaus.plexus.util.cli.Commandline cl,
                                   String dateRange)

Copyright © 2003–2015. All rights reserved.